petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMDAGetCoordinateName

Gets the name of a coodinate direction associated with a DMDA.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAGetCoordinateName(DM dm,PetscInt nf,const char **name)

Not Collective

### Input Parameter

| dm | - the DM
| nf | - number for the DMDA (0, 1, ... dim-1)

### Output Parameter

names -the name of the coordinate direction

### Keywords

distributed array, get, component name

### See Also

DMDASetCoordinateName(), DMDASetFieldName(), DMDAGetFieldName()

Level:intermediate
Location:src/dm/impls/da/dacorn.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages